singleton Material(volvo_lights)
{
   mapTo = "volvo_lights";
   diffuseColor[0] = "0.8 0.8 0.8 1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
   doubleSided = "1";
   diffuseMap[0] = "lights.png";
};

singleton Material(volvo_lights_on)
{
   mapTo = "volvo_lights_on";
   diffuseColor[0] = "0.12 0.12 0.12 1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
   doubleSided = "1";
   diffuseMap[0] = "lights.png";
   glow[0] = "1";
   emissive[0] = "1";
};

singleton Material(volvo_lights_on_intense)
{
   mapTo = "volvo_lights_on_intense";
   diffuseColor[0] = "0.25 0.25 0.25 1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
   doubleSided = "1";
   diffuseMap[0] = "lights.png";
   glow[0] = "1";
   emissive[0] = "1";
};

singleton Material(volvo_lights_dmg)
{
   mapTo = "volvo_lights_dmg";
   diffuseColor[0] = "0.8 0.8 0.8 0";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "Sub";
   translucent = "1";
   doubleSided = "1";
};

singleton Material(weatherstrip)
{
   mapTo = "weatherstrip";
   diffuseColor[0] = "0.8 0.8 0.8 1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
   doubleSided = "1";
};

singleton Material(rubber_trim)
{
   mapTo = "rubber_trim";
   diffuseColor[0] = "0.8 0.8 0.8 1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
   doubleSided = "1";
   diffuseMap[0] = "nodamage.png";
};

singleton Material(plastic2)
{
   mapTo = "plastic2";
   diffuseColor[0] = "0.8 0.8 0.8 1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
   doubleSided = "1";
   diffuseMap[0] = "nodamage.png";
};

singleton Material(window)
{
   mapTo = "window";
   diffuseColor[0] = "0.8 0.8 0.8 0.2";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "Sub";
   translucent = "1";
   doubleSided = "1";
};

singleton Material(volvo_glass_dmg)
{
   mapTo = "volvo_glass_dmg";
   diffuseColor[0] = "0.8 0.8 0.8 0";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "Sub";
   translucent = "1";
   doubleSided = "1";
};

singleton Material(rim)
{
   mapTo = "rim";
   diffuseColor[0] = "0.8 0.8 0.8 1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
   doubleSided = "1";
   diffuseMap[0] = "rim.png";
};

singleton Material(body)
{
   mapTo = "body";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   diffuseMap[1] = "vehicles/common/null.dds";
   specularMap[1] = "vehicles/common/null.dds";
   diffuseColor[0] = "0.8 0.8 0.8 1";
   diffuseColor[1] = "0.9 0.9 0.9 0.6";
   specularPower[0] = "16";
   specularPower[1] = "16";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   cubemap = "BNG_Sky_02_cubemap";
   beamngDiffuseColorSlot = 1;
   doubleSided = "1";
};

singleton Material(frame)
{
   mapTo = "frame";
   diffuseColor[0] = "0.8 0.8 0.8 1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
   doubleSided = "1";
   diffuseMap[0] = "nodamage.png";
};

singleton Material(emblem)
{
   mapTo = "emblem";
   diffuseColor[0] = "0.8 0.8 0.8 1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
   doubleSided = "1";
   diffuseMap[0] = "nodamage.png";
};

singleton Material(chrome)
{
   mapTo = "chrome";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   diffuseMap[1] = "vehicles/common/null.dds";
   specularMap[1] = "vehicles/common/null.dds";
   diffuseColor[0] = "0.8 0.8 0.8 1";
   diffuseColor[1] = "0.9 0.9 0.9 0.2";
   specularPower[0] = "16";
   specularPower[1] = "16";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = true;
   //cubemap = "BNG_Sky_02_cubemap";
   doubleSided = "1";
};

singleton Material(tail_light)
{
   mapTo = "tail_light";
   diffuseColor[0] = "0.8 0.8 0.8 1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
   doubleSided = "1";
   diffuseMap[0] = "lights.png";
};

singleton Material(textured_reflect)
{
   mapTo = "textured_reflect";
};

singleton Material(reverse_light)
{
   mapTo = "reverse_light";
};

singleton Material(signal_l)
{
   mapTo = "signal_l";
};

singleton Material(signal_r)
{
   mapTo = "signal_r";
};

singleton Material(matte_colors)
{
   mapTo = "matte_colors";
   diffuseColor[0] = "0.8 0.8 0.8 1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
   doubleSided = "1";
   diffuseMap[0] = "nodamage.png";
};

singleton Material(detail_glass_amb)
{
   mapTo = "detail_glass_amb";
   diffuseColor[0] = "0.8 0.8 0.8 0.8";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "Sub";
   doubleSided = "1";
   diffuseMap[0] = "lights.png";
   translucent = "1";
};

singleton Material(detail_glass_red)
{
   mapTo = "detail_glass_red";
   diffuseColor[0] = "0.8 0.8 0.8 0.8";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "Sub";
   doubleSided = "1";
   diffuseMap[0] = "lights.png";
   translucent = "1";
};

singleton Material(detail_glass_cle)
{
   mapTo = "detail_glass_cle";
   diffuseColor[0] = "0.8 0.8 0.8 0.8";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "Sub";
   doubleSided = "1";
   diffuseMap[0] = "lights.png";
   translucent = "1";
};

singleton Material(interior)
{
   mapTo = "interior";
   diffuseColor[0] = "0.8 0.8 0.8 1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
   doubleSided = "1";
   diffuseMap[0] = "nodamage.png";
};

singleton Material(badge)
{
   mapTo = "badge";
   diffuseColor[0] = "0.8 0.8 0.8 1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
   doubleSided = "1";
   diffuseMap[0] = "nodamage.png";
};

singleton Material(reflector)
{
   mapTo = "reflector";
   diffuseColor[0] = "0.8 0.8 0.8 1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
   doubleSided = "1";
   diffuseMap[0] = "lights.png";
};

singleton Material(black)
{
   mapTo = "black";
   diffuseColor[0] = "0.1 0.1 0.1 1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
   doubleSided = "1";
};

singleton Material(head_light)
{
   mapTo = "head_light";
};

singleton Material(misc)
{
   mapTo = "misc";
   diffuseColor[0] = "0.8 0.8 0.8 1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
   doubleSided = "1";
   diffuseMap[0] = "nodamage.png";
   
};

singleton Material(chmsl)
{
   mapTo = "chmsl";
};

singleton Material(parking_light)
{
   mapTo = "parking_light";
};

singleton Material(dummylight)
{
   mapTo = "dummylight";
   diffuseColor[0] = "0.8 0.8 0.8 1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
   diffuseMap[0] = "lights.png";
   doubleSided = "1";
};

singleton Material(plainframe)
{
   mapTo = "plainframe";
   diffuseColor[0] = "0.2 0.2 0.2 1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
   doubleSided = "1";
};

singleton Material(trunk)
{
   mapTo = "trunk";
   diffuseColor[0] = "0.2 0.2 0.2 1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
   doubleSided = "1";
};

singleton Material(volvo_parking_l)
{
   mapTo = "parking_l";
};

singleton Material(volvo_parking_r)
{
   mapTo = "parking_r";
};

singleton Material(wheel_tire)
{
   mapTo = "wheel_tire";
   diffuseColor[0] = "0.64 0.64 0.64 1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
   diffuseMap[0] = "tires.png";
};
